<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
<title>成绩校验</title>
<meta name="decorator" content="default" />
<%@include file="/WEB-INF/views/include/head.jsp"%>
<style type="text/css">
.sort {
	color: #0663A2;
	cursor: pointer;
}
</style>
</head>
<body>
	<ul class="nav nav-tabs">
		<li><a href="${ctx}/admin/exam/inspected/info">成绩复核进度</a></li>
		<li><a href="${ctx}/admin/exam/inspected/list">全卷复核</a></li>
		<li class="active"><a href="##">成绩校验</a></li>
	</ul>
	<form id="searchForm" action="#"
		method="post" class="breadcrumb form-search">
		<input type="hidden" id="pageNumber" name="pageNumber"
			value="${query.pageNumber }" /> <input type="hidden" id="pageSize"
			name="pageSize" value="${query.pageSize }" />
		<div>
			<input id="btnQuery" class="btn" type="button" value="重置"
				onclick="query()" />
		</div>
	</form>
	<tags:message content="${message}" />
	<tags:message content="${errmsg}" type="error" />
	<form id="dataForm" action="#"
		method="post" class="breadcrumb form-search">
		<table id="contentTable"
			class="table table-striped table-bordered table-condensed">
			<thead>
				<tr>
					<th>考生姓名</th>
					<th>考生编号</th>
					<th>科目</th>
					<th>状态</th>
					<th>试卷总分</th>
					<th>大题得分明细</th>
					<th>操作</th>
					<th>校验人</th>
					<th>操作时间</th>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${query.result}" var="result">
					<tr>
						<td>${result.studentName}</td>
						<td>${result.studentCode}</td>
						<td>${result.subjectCode}-${result.subjectName}</td>
						<td>
                <c:if test="${student.upload==true}">
                    <c:if test="${examType!='MULTI_MEDIA'}">
                        <a class="sheet-link" href="##" data-sheet-url="${student.sheetUrlString}" data-answer-url="<c:if test="${student.answerUrl!=null}">${fileServer}${student.answerUrl}</c:if>"
                           data-title="${student.examNumber}&nbsp;&nbsp;${student.name}&nbsp;&nbsp;客观总分${student.objectiveScoreString}&nbsp;&nbsp;主观总分${student.subjectiveScoreString}&nbsp;&nbsp;全卷总分${student.totalScoreString}">已上传</a>
                    </c:if>
                    <c:if test="${examType=='MULTI_MEDIA'}">
                        已上传
                    </c:if>
                    &nbsp;
                    <c:if test="${student.absent==true}">
                        缺考
                    </c:if>
                    <c:if test="${student.absent==false}">
                        正常
                    </c:if>
                </c:if>
                
                <c:if test="${student.upload==false}">
                    未上传
                </c:if>
            
            </td>
						<td><fmt:formatNumber pattern="###.###"
								value="${result.totalScore}" /></td>
						<td>${result.subjectiveScoreList}</td>
						<td><a
							href="${ctx}/web/admin/exam/track/student?studentId=${result.studentId}&subjectCode=${result.subjectCode}"
							target="_blank">轨迹图</a>
								<a target="_blank"
									href="${ctx}/web/admin/exam/inspected/start?studentId=${result.studentId}&subjectCode=${result.subjectCode}">进入校验</a>
							</td>
							<td>${result.scoreVerifyUserName}</td>
							<td>
							<c:if test="${result.scoreVerifyTime!=null}">
			                    <fmt:formatDate value="${result.scoreVerifyTime}" pattern="yyyy-MM-dd HH:mm:ss"/>
			                </c:if>
			                <c:if test="${result.scoreVerifyTime==null}">
	                    &nbsp;
	                </c:if>
	                </td>
					</tr>
				</c:forEach>
			</tbody>
		</table>
	</form>
	<div class="pagination">${query}</div>
	<script type="text/javascript">

		function page(n, s) {
			$("#pageNumber").val(n);
			$("#pageSize").val(s);
			$("#searchForm").attr('target', "_self");
			$("#searchForm").attr('action', '${ctx}//admin/exam/score/verify/page');
			$("#searchForm").submit();
			return false;
		}

		function goStart() {
			var url = '${ctx}/web/admin/exam/inspected/start?';
			var subjectCode = $("#subject-select").val();
			if (subjectCode == undefined || subjectCode == "") {
				alert('请选择科目');
				return;
			}
			url = url + 'subjectCode=' + subjectCode
			var startScore = $("#startScore").val();
			if (startScore != undefined && startScore != "") {
				url = url + '&startScore=' + startScore;
			}
			var endScore = $("#endScore").val();
			if (endScore != undefined && endScore != "") {
				url = url + '&endScore=' + endScore;
			}
			var mainNumber = $("#question-select").val();
			if (mainNumber != undefined && mainNumber != "") {
				url = url + '&mainNumber=' + mainNumber;
			}
			var mainStartScore = $("#mainStartScore").val();
			if (mainStartScore != undefined && mainStartScore != "") {
				url = url + '&mainStartScore=' + mainStartScore;
			}
			var mainEndScore = $("#mainEndScore").val();
			if (mainEndScore != undefined && mainEndScore != "") {
				url = url + '&mainEndScore=' + mainEndScore;
			}
			var questionScore = $("#questionScore").val();
			if (questionScore != undefined && questionScore != "") {
				url = url + '&questionScore=' + questionScore;
			}
			var selectiveStatus = $("#selectiveStatus").val();
			if (selectiveStatus != undefined && selectiveStatus != "") {
				url = url + '&selectiveStatus=' + selectiveStatus;
			}
			var secretNumber = $("#secretNumber").val();
			if (secretNumber != undefined && secretNumber != "") {
				url = url + '&secretNumber=' + secretNumber;
			}
			window.open(url, '_blank');
			return false;
		}

	</script>
</body>
</html>